> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Run

> Fetch one dispatched AI agent run with its owning task's name.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/ai-agent-runs/{run_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/ai-agent-runs/{run_id}:
    get:
      tags:
        - AI Agent Runs
      summary: Get Agent Run
      description: Fetch one dispatched AI agent run with its owning task's name.
      operationId: get_agent_run_api_endpoint_api_v1_org_ai_agent_runs__run_id__get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
        - in: path
          name: run_id
          required: true
          schema:
            format: uuid
            title: Run Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ai_session_id:
                    anyOf:
                      - format: uuid
                        type: string
                      - type: 'null'
                    title: Ai Session Id
                  finished_at:
                    anyOf:
                      - format: date-time
                        type: string
                      - type: 'null'
                    title: Finished At
                  goal_status:
                    anyOf:
                      - type: string
                      - type: 'null'
                    title: Goal Status
                  id:
                    format: uuid
                    title: Id
                    type: string
                  outcome_summary:
                    anyOf:
                      - type: string
                      - type: 'null'
                    title: Outcome Summary
                  started_at:
                    format: date-time
                    title: Started At
                    type: string
                  status:
                    title: Status
                    type: string
                  task_id:
                    format: uuid
                    title: Task Id
                    type: string
                  task_name:
                    title: Task Name
                    type: string
                  trigger_context:
                    title: Trigger Context
                  turns_used:
                    title: Turns Used
                    type: integer
                title: AgentRun
                type: object
          description: Successful Response
        '404':
          content:
            application/json:
              schema:
                properties:
                  detail:
                    title: Detail
                    type: string
                title: DetailResponse
                type: object
          description: Agent run not found.
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````